### Class

# Clutter Image

#### Description [src]

    class Clutter.Image : GObject.Object
      implements Clutter.Content {
      /* No available fields */
    }

Image data content

`ClutterImage` is a `ClutterContent` implementation that displays image data inside a `ClutterActor`.

#### Ancestors

- GObject

#### Implements

- ClutterContent

#### Functions

###### clutter_image_new

Creates a new `ClutterImage` instance.

#### Instance methods

###### clutter_image_get_texture

Retrieves a pointer to the Cogl texture used by `image`.

###### clutter_image_set_area

Sets the image data to be display by `image`, using `rect` to indicate the position and size of the image data to be set.

###### clutter_image_set_bytes

Sets the image data stored inside a `GBytes` to be displayed by `image`.

###### clutter_image_set_data

Sets the image data to be displayed by `image`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from ClutterContent (3)

###### clutter_content_get_preferred_size

Retrieves the natural size of the `content`, if any.

###### clutter_content_invalidate

Invalidates a `ClutterContent`.

###### clutter_content_invalidate_size

Signals that `content`‘s size changed. Attached actors with request mode set to `CLUTTER_REQUEST_CONTENT_SIZE` will have a relayout queued.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from ClutterContent (2)

###### ClutterContent::attached

This signal is emitted each time a `ClutterContent` implementation is assigned to a `ClutterActor`.

###### ClutterContent::detached

This signal is emitted each time a `ClutterContent` implementation is removed from a `ClutterActor`.

#### Class structure

    struct ClutterImageClass {
      /* no available fields */
    }

The `ClutterImageClass` structure contains private data.